    import {CheckList} from 'TableFilter/src/modules/checkList.js'

public class | source

# CheckList

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Checklist UI component |

## Member Summary

Public Members
public | activateCheckListTxt : * |
public | checkListCssClass : * |
public | checkListDiv : * |
public | checkListDivCssClass : * |
public | checkListItemCssClass : * |
public | checkListItemDisabledCssClass : * |
public | checkListSlcItemCssClass : * |
public | enableCheckListResetFilter : * |
public | excludedOpts : * |
public | isCustom : * |
public | opts : * |
public | optsTxt : * |
public | prfxCheckListDiv : string |
public | tf : * |

## Method Summary

Public Methods
public | addChecks (colIndex: Number, ul: Object) Add checklist options |
public | addTChecks (colIndex: Number, ul: Object): * Add checklist header option |
public | build (colIndex: Number, isExternal: Boolean, extFltId: String) Build checklist UI asynchronously |
public | onChange (evt: *) |
public | optionClick (evt: *) |
public | setCheckListValues (o: Object) Store checked options in DOM element attribute |

## Public Constructors

### public constructor(tf: Object) source

Checklist UI component

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public activateCheckListTxt: * source

### public checkListCssClass: * source

### public checkListDiv: * source

### public checkListDivCssClass: * source

### public checkListItemCssClass: * source

### public checkListItemDisabledCssClass: * source

### public checkListSlcItemCssClass: * source

### public enableCheckListResetFilter: * source

### public excludedOpts: * source

### public isCustom: * source

### public opts: * source

### public optsTxt: * source

### public prfxCheckListDiv: string source

### public tf: * source

## Public Methods

### public addChecks(colIndex: Number, ul: Object) source

Add checklist options

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
ul | Object |  | Ul element

### public addTChecks(colIndex: Number, ul: Object): * source

Add checklist header option

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
ul | Object |  | Ul element

#### Return:

*

### public build(colIndex: Number, isExternal: Boolean, extFltId: String) source

Build checklist UI asynchronously

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
isExternal | Boolean |  | Render in external container
extFltId | String |  | External container id

### public onChange(evt: *) source

#### Params:

Name | Type | Attribute | Description
evt | * |  |

### public optionClick(evt: *) source

#### Params:

Name | Type | Attribute | Description
evt | * |  |

### public setCheckListValues(o: Object) source

Store checked options in DOM element attribute

#### Params:

Name | Type | Attribute | Description
o | Object |  | checklist option DOM element